Package groovy.transform

# Class Undefined

java.lang.Object
groovy.transform.Undefined

public final class Undefined extends Object
Java doesn't allow you to have null as an attribute value. It wants you to indicate what you really mean by null, so that is what we do here - as ugly as it is.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Undefined.CLASS`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isUndefined(String other)`
`static boolean`
`isUndefined(ClassNode other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRING

public static final String STRING

See Also:
  - Constant Field Values

## Method Details

### isUndefined

public static boolean isUndefined(String other)

### isUndefined

public static boolean isUndefined(ClassNode other)